# Reply

#### **Example**

```json
{
	"data": {
		"attachments": [],
		"author": {
			"customIdentifier": null,
			"id": "0da5a9e8-90ef-403f-873c-e20e4d298558",
			"name": "Staff name",
			"image": "",
			"email": "staffEmailLogin@domain.com",
			"status": "team",
			"isBot": false
		},
		"ccEmails": [],
		"creationTime": "2020-03-05T17:58:23.0186292+00:00",
		"htmlMessage": "new reply text",
		"id": 156372820,
		"level": 0,
		"message": "new reply text",
		"parentReplyId": null,
		"properties": {
			"isByTeam": true,
			"isDraft": false,
			"isHidden": false
		},
        "tags": [],
		"ticketId": 443484636,
		"toEmails": []
	},
	"errorCode": -1,
	"errorText": null
}
```

#### Fields

| Field         | Type                                                                                       | Comments                                                            |
| ------------- | ------------------------------------------------------------------------------------------ | ------------------------------------------------------------------- |
| attachments   | array of [Base Attachment](/docs/apis/tickets/reference/objects/base-attachment.md) models | Reply attachments                                                   |
| author        | [User](/docs/apis/tickets/reference/objects/user.md) model                                 | Reply creator info                                                  |
| ccEmails      | array of strings                                                                           | An array of emails for additional recipients receiving email copies |
| creationTime  | string                                                                                     | Reply creation time. Represent datetime string in ISO 8601 format   |
| htmlMessage   | string                                                                                     | Reply html content                                                  |
| id            | integer                                                                                    | Unique reply id                                                     |
| level         | integer                                                                                    | Indicates the hierarchical level of a reply in a ticket thread      |
| message       | string                                                                                     | Reply text content                                                  |
| parentReplyId | nullable integer                                                                           | Unique id of parent reply. If null the reply is a root reply        |
| properties    | [ReplyProperties](/docs/apis/tickets/reference/objects/reply-properties.md) model          | Properties or attributes associated with a reply                    |
| tags          | array of [Tag](/docs/apis/tickets/reference/objects/tag.md) models                         | Tags associated with a reply                                        |
| ticketId      | integer                                                                                    | Unique ticket id                                                    |
| toEmails      | array of strings                                                                           | Array of email addresses for primary recipients                     |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.socialboards.com/docs/apis/tickets/reference/objects/reply.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
